/* Wejp's ArmaSpy v0.0.1                                   */
/* Copyright (c) 2006 Johannes Heimansberg (wejp.mooo.com) */
/* Released under the GNU General Public License Version 2 */
#include <stdio.h>
#include <string.h>
#include "armaserver.h"

int armaserver_get_players_online(ArmaServer *server)
{
	return server->players_online;
}

char *armaserver_get_server_name(ArmaServer *server)
{
	return server->server_name;
}

char *armaserver_get_player_name(ArmaServer *server, int player)
{
	char *name = NULL;

	if (player < server->players_online)
		name = server->player_name[player];
	return name;
}

int armaserver_add_player(ArmaServer *server, char *name)
{
	int result = 0;
	if (server->players_online < MAX_PLAYERS) {
		server->player_name[server->players_online][63] = '\0';
		strncpy(server->player_name[server->players_online], name, 63);
		server->players_online++;
		result = 1;
	}
	return result;
}

void armaserver_init(ArmaServer *server, char *server_name)
{
	server->players_online = 0;
	server->server_name[63] = '\0';
	strncpy(server->server_name, server_name, 63);
}
